{% extends "header.html" %}
{% load url from future %}
{% load i18n %}

{% block contenido %}
    <h4 align="center">{% blocktrans %}Login{% endblocktrans %}</h4>
    <div class="col-md-4 column">
    </div>
    <div class="col-md-4 column">
        <div align="center">
            {% if msg %}
                <font color="#FF0000">{{ msg }}</font>
            {% endif %}
        </div>
        <div class="form-group">
            <form method="post">{% csrf_token %}
                <label>{% blocktrans %}Email{% endblocktrans %}:</label> <input type="email" value="" placeholder="{% blocktrans %}Type your email{% endblocktrans %}" class="form-control" name="email" autocomplete="off">
                <label>{% blocktrans %}Password{% endblocktrans %}:</label> <input type="password" value="" placeholder="{% blocktrans %}Type your password{% endblocktrans %}" class="form-control" name="password" autocomplete="off">
                <small><a data-toggle="modal" data-target="#ModalForgetPassword" href="#">{% blocktrans %}Forget the password{% endblocktrans %}</a></small><br/>
                <small><a href="{% url 'register' %}">{% blocktrans %}Register{% endblocktrans %}</a></small>
                <br><br>
                <div class="col-md-6 column"></div>
                <div class="col-md-6 column">
                    <button type="submit" class="btn btn-lg btn-block btn-primary" name="login">{% blocktrans %}Login{% endblocktrans %}</button>
                </div>
            </form>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="ModalForgetPassword" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <form method="post">{% csrf_token %}
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Forget the password{% endblocktrans %}</h4>
              </div>
              <div class="modal-body">
                    <div class="row clearfix">
                        <div class="col-md-12 column">
                            {% blocktrans %}Enter the e-mail address associated with your Ironbar account, then click Recovery. We'll email you a link to a page where you can easily create a new password.{% endblocktrans %}<br/><br/>
                            <div class="col-md-1 column"></div>
                            <div class="col-md-10 column">
                                <input type="email" value="" placeholder="Type your email" class="form-control" name="recovery_password" autocomplete="off">
                            </div>
                        </div>
                    </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Clean{% endblocktrans %}</button>
                <button type="submit" class="btn btn-primary" name="login_forget_password">{% blocktrans %}Recovery{% endblocktrans %}</button>
              </div>
            </form>
        </div>
      </div>
    </div>
{% endblock %}